import React from 'react';
import { ElementProps } from '../../utils/element-props';
import { GetContainer } from '../../utils/render-to-container';
export declare type Action = {
    key: string | number;
    text: string;
    disabled?: boolean;
    description?: string;
    danger?: boolean;
    onClick?: () => void;
};
export declare type ActionSheetProps = {
    visible: boolean;
    actions: Action[];
    extra?: React.ReactNode;
    cancelText?: string;
    onAction?: (action: Action, index: number) => void;
    onClose?: () => void;
    afterClose?: () => void;
    onMaskClick?: () => void;
    closeOnAction?: boolean;
    closeOnMaskClick?: boolean;
    getContainer?: GetContainer;
} & ElementProps;
declare function showActionSheet(props: Omit<ActionSheetProps, 'visible'>): {
    close: () => void;
};
declare const _default: React.FC<ActionSheetProps> & {
    show: typeof showActionSheet;
};
export default _default;
