"use strict";

function _await(value, then, direct) {
  if (direct) {
    return then ? then(value) : value;
  }

  if (!value || !value.then) {
    value = Promise.resolve(value);
  }

  return then ? value.then(then) : value;
}

function _async(f) {
  return function () {
    for (var args = [], i = 0; i < arguments.length; i++) {
      args[i] = arguments[i];
    }

    try {
      return Promise.resolve(f.apply(this, args));
    } catch (e) {
      return Promise.reject(e);
    }
  };
}

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.confirm = void 0;

var show_1 = require("./show");

var with_default_props_1 = require("../../utils/with-default-props");

var defaultProps = {
  confirmText: '确认',
  cancelText: '取消'
};

function confirm(p) {
  var props = with_default_props_1.mergeProps(defaultProps, p);
  return new Promise(function (resolve) {
    show_1.show(_extends({}, props, {
      closeOnAction: true,
      onClose: function onClose() {
        props.onClose == null ? void 0 : props.onClose();
        resolve(false);
      },
      actions: [[{
        key: 'cancel',
        text: props.cancelText,
        onClick: _async(function () {
          return _await(props.onCancel == null ? void 0 : props.onCancel(), function () {
            resolve(false);
          });
        })
      }, {
        key: 'confirm',
        text: props.confirmText,
        bold: true,
        onClick: _async(function () {
          return _await(props.onConfirm == null ? void 0 : props.onConfirm(), function () {
            resolve(true);
          });
        })
      }]]
    }));
  });
}

exports.confirm = confirm;