import React, { createRef, forwardRef, useEffect, useImperativeHandle, useState } from 'react';
import { renderToBody } from '../../utils/render-to-body';
import { Dialog } from './dialog';
export function show(props) {
  var Wrapper = /*#__PURE__*/forwardRef(function (_, ref) {
    var _useState = useState(false),
        visible = _useState[0],
        setVisible = _useState[1];

    useEffect(function () {
      setVisible(true);
    }, []);
    useImperativeHandle(ref, function () {
      return {
        close: function close() {
          setVisible(false);
        }
      };
    });
    return /*#__PURE__*/React.createElement(Dialog, Object.assign({}, props, {
      visible: visible,
      onClose: function onClose() {
        props.onClose == null ? void 0 : props.onClose();
        setVisible(false);
      },
      afterClose: function afterClose() {
        props.afterClose == null ? void 0 : props.afterClose();
        unmount();
      }
    }));
  });
  var ref = /*#__PURE__*/createRef();
  var unmount = renderToBody( /*#__PURE__*/React.createElement(Wrapper, {
    ref: ref
  }));
  return {
    close: function close() {
      var _ref$current;

      (_ref$current = ref.current) == null ? void 0 : _ref$current.close();
    }
  };
}